Subject: Re: [Simple] comments on rpids-01 <activity>, <idlesince>

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Jun 2003 15:06:41 -0400

Rosen, Brian wrote:

> That means keeping several independently discoverable pieces of
> information separate.

I'm not sure if you're agreeing with me or not, but I do want to 
emphasize this general aspect: There is great value in having labeled 
information as any attempt to extract information from free-text fields 
or from fields that combine multiple variables is prone to wrong 
guesses, uncertainty and surprises. Just because some existing IM 
systems have gotten this wrong should be no excuse to make the same 
mistake again...

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Jun 2003 15:06:41 -0400

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 27 Jun 2003 14:57:18 -0400

As you know, I advocate making most presence data represent the
state of a presentity (human).  However, in order to determine that,
you need to understand the state of (multiple) devices.
Then you aggregate them, filter the results by (watcher dependent)
policy, and publish the result as the presence of the human.

So, getting detailed information about a device is usefull, to
the aggregator.  You might publish the raw data to some watchers,
but I suspect you won't.  You do need the devices to be able to
provide the raw data so the aggregator can do it's job.  

Brian 

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Friday, June 27, 2003 11:53 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Simple] comments on rpids-01 <activity>, <idlesince>
> 
> 
> Not all elements will be appropriate for all types of services or 
> devices. To pick on something outside RPIDS 01: it is unclear that 
> geoloc or media would be appropriate for all kinds of tuples.
> 
> As noted earlier, the <idlesince> indication does not intend 
> to provide 
> a clue as to whether the device is OPEN or CLOSED - we have this 
> already. It provides additional hints to the watcher as to 
> which device 
> is more likely to be "staffed". Combinations of <idlesince> with both 
> OPEN and CLOSED are quite plausible, I think.
> 
> My current preference is to have only <idlesince>. For 
> privacy, an empty 
> element meaning indicates device has been idle (unused) for some 
> unspecified time. I think this makes the logic a bit simpler.
> 
> [email-masked] wrote:
> 
> > I think the current definition of <activity> is to represent my
> > current interaction with a device (if I'm using the device currently
> > or not). Something like <in-use>. I think this is the wrong
> > definition. The examples in the I-D describing the element certainly
> > elude to this.
> > 
> > Most of the time, my mobile phone sits by my side. It can 
> be idle for
> > hours and without any activity. This does not give a true
> > representation of my ability to receive calls on it. This is
> > different from me being away from my PC for hours without any
> > activity. In this case, a true representation of my ability to
> > receive calls on it is possible.
> > 
> > What I believe the <activity> element should represent is user's
> > ability to answer calls (or receive any other media, or whatever) on
> > that device. One could argue that OPEN and CLOSED are sufficient
> > enough for this. Else, you need an element like
> > <current-communication-ability> (a better name is needed here, but
> > couldn't think of one from the top of my head).
> > 
> > Another issue with <activity> that I would like to bring up: It only
> > talks about a device. I would like to know the meaning on this
> > element when a tuple does not represent a device (a different
> > <contact-type>.
> > 
> > Regards, Hisham
> > 
> 
> 
>